GrabPoint = class(Turbine.UI.Control);

function GrabPoint:Constructor()
    Turbine.UI.Control.Constructor(self);
    self:SetSize(5, 5);
    self:SetBackColor(Turbine.UI.Color.White);
    self:SetZOrder(2147483647);
    self.interior = Turbine.UI.Control();
    self.interior:SetBackColor(Turbine.UI.Color.Black);
    self.interior:SetParent(self);
    self.interior:SetPosition(1, 1);
    self.interior:SetSize(3, 3);
    self.interior:SetMouseVisible(false);
end

-- to do: SetLeft, SetTop
function GrabPoint:SetPosition(left, top)
    Turbine.UI.Control.SetPosition(self, left - 2, top - 2);
end

-- to do: GetLeft, GetTop
function GrabPoint:GetPosition()
    local left, top = Turbine.UI.Control.GetPosition(self);
    return left + 2, top + 2;
end

function GrabPoint:MouseEnter()
    self:SetBackColor(Turbine.UI.Color.Yellow);
end

function GrabPoint:MouseLeave()
    self:SetBackColor(Turbine.UI.Color.White);
end

function GrabPoint:MouseDown()
    self.mouseDown = true;
    self.mousePosition = { Turbine.UI.Display.GetMousePosition() };
    self.interior:SetBackColor(Turbine.UI.Color.Gray);
end

function GrabPoint:MouseUp()
    self.mouseDown = false;
    self.interior:SetBackColor(Turbine.UI.Color.Black);
end

function GrabPoint:MouseMove()
    if (self.mouseDown) then
        local oldX, oldY = unpack(self.mousePosition);
        local newX, newY = Turbine.UI.Display.GetMousePosition();
        DoCallbacks(self, "Drag", { x = newX - oldX, y = newY - oldY });
        self.mousePosition = { newX, newY };
    end
end

function GrabPoint:IsDragging()
    return self.mouseDown;
end
