ImageShape = class(Shape);

function ImageShape:Constructor()
    Shape.Constructor(self, "Turbine.UI.Control");
    self.idStr = "new ImageShape";

    -- Harcoded property values
    self.properties.Class = ImageShape;
    self.changedProperties.Class = ImageShape;
    self.baseClass.SetBlendMode(self, Turbine.UI.BlendMode.Overlay);
    self.resizable = false; -- zooming not implemented yet; tiling mostly worthless

    -- Default property values
    self.applyingRemoteChanges = true;
    self.applyingRemoteChanges = false;
    
    self:SavePropertyDefaults();
end

function ImageShape:AutoSize()
    local temp = Turbine.UI.Control();
    temp:SetBackground(self:GetBackground());
    temp:AutoSize();
    self:SetSize(temp:GetSize());
end

-- Standard tracked properties
function Shape:SetBackground(background)
    background = tonumber(background) or background;
    self.baseClass.SetBackground(self, background);
    self:SetProperty("Background", background);
    self:AutoSize();
end

function Shape:GetBackground()
    return self.properties.Background;
end
