Listener = class(Turbine.Object);

function Listener:Constructor()
    self.transfers = {
        [Turbine.ChatType.UserChat1] = {};
        [Turbine.ChatType.UserChat2] = {};
        [Turbine.ChatType.UserChat3] = {};
        [Turbine.ChatType.UserChat4] = {};
        [Turbine.ChatType.UserChat5] = {};
        [Turbine.ChatType.UserChat6] = {};
        [Turbine.ChatType.UserChat7] = {};
        [Turbine.ChatType.UserChat8] = {};
    };
    self.commands = {
        [Turbine.ChatType.UserChat1] = "/1";
        [Turbine.ChatType.UserChat2] = "/2";
        [Turbine.ChatType.UserChat3] = "/3";
        [Turbine.ChatType.UserChat4] = "/4";
        [Turbine.ChatType.UserChat4] = "/4";
        [Turbine.ChatType.UserChat5] = "/5";
        [Turbine.ChatType.UserChat6] = "/6";
        [Turbine.ChatType.UserChat7] = "/7";
        [Turbine.ChatType.UserChat8] = "/8";
    };
    self.canvases = {};
    self.nextCanvasID = 1;
    self.playerName = Turbine.Gameplay.LocalPlayer:GetInstance():GetName();
    self.pluginVersion = plugin:GetVersion();
    self.stripper = Turbine.UI.Label();
    AddCallback(Turbine.Chat, "Received", function(_, args)
        if (self.transfers[args.ChatType]) then
            self:Receive(args.ChatType, args.Message);
        end
    end);
end

function Listener:SetChannelEnabled(channel, enable)
    if (enable) then
        self.transfers[channel] = self.transfers[channel] or {};
    else
        self.transfers[channel] = nil;
    end
end
    
function Listener:Receive(channel, message)
    -- Strip color codes, links, etc.
    self.stripper:SetText(message);
    message = self.stripper:GetText();

    -- Make sure it's addressed to us.
    local from, packetsLeft, data = message:match("^%[[^%]]+%] (.*): '<u>B</u>([0-9][0-9])(.*)'\n");
--Puts(Serialize({from, packetsLeft, data}));    
    if (not data) then
        return;
    end

    -- Start a new data transfer
    local transfer = self.transfers[channel][from];
    if (not transfer) then
Puts("Receiving " .. (packetsLeft + 1) .. " packets of data from " .. from .. "...");
        transfer = { packetsLeft = tonumber(packetsLeft); packets = { data } };
        self.transfers[channel][from] = transfer;
    else
        -- Continuing a data transfer
        if ((transfer.packetsLeft - 1) ~= tonumber(packetsLeft)) then
Puts("Error: Expected packetsLeft = " .. (transfer.packetsLeft - 1) .. ", got " .. packetsLeft);
            return;
        end
        transfer.packetsLeft = tonumber(packetsLeft);
        table.insert(transfer.packets, data);
    end

    if (transfer.packetsLeft == 0) then
        data = table.concat(transfer.packets, "");
Puts("Received a total of " .. data:len() .. " bytes from " .. from .. ".");
        self.transfers[channel][from] = nil;
        self:Process(self.commands[channel], from, data);
    end
end

function Listener:Process(command, from, data)
    -- Figure out which Canvas these changes are addressed to
    local properties = Shape.encoder:Decode(data);
    properties.Owner = properties.Owner or from;
    local id = properties.Owner .. properties.ID;

    local canvas = self.canvases[id];
    if (not canvas) then
Puts(from .. " created a new blackboard: " .. properties.Text);
        canvas = Canvas();
        canvas:SetID(properties.ID);
        canvas:SetOwner(properties.Owner);
        local editor = canvas:SetEditorEnabled(true);
        editor:SetCommand(command);
        canvas:ResetChanges();
        self.canvases[id] = canvas;
    end
    properties.Class = nil;
    canvas:ApplyChanges(properties, from);
    DoCallbacks(canvas, "Changed"); -- tell editor to update sendButton
end

function Listener:CreateLocal(channel, title)
    self:SetChannelEnabled(channel, true);
    local canvas = Canvas();
    local id = self.playerName .. self.nextCanvasID;
    canvas:SetID(self.nextCanvasID);
    self.nextCanvasID = self.nextCanvasID + 1;
    canvas:SetOwner(self.playerName);
    canvas:SetVersion(self.pluginVersion);
    canvas:SetText(title);
    canvas:SetPosition(50, 50);
    local editor = canvas:SetEditorEnabled(true);
    editor:SetCommand(self.commands[Turbine.ChatType["UserChat" .. channel]]);
    self.canvases[id] = canvas;
    DoCallbacks(canvas, "Changed");
end