TextShape = class(Shape);

function TextShape:Constructor()
    Shape.Constructor(self, "Turbine.UI.TextBox");
    self.idStr = "new TextShape";

    -- Hardcoded property values
    self.properties.Class = TextShape;
    self.changedProperties.Class = TextShape;
    self.baseClass.SetMultiline(self, true);
    self.baseClass.SetFontStyle(self, Turbine.UI.FontStyle.Outline);
    self.baseClass.SetOutlineColor(self, Turbine.UI.Color(0.75, 0, 0, 0));
    self.resizable = true;
    
    -- Default property values
    self.applyingRemoteChanges = true;
    self:SetForeColor(Turbine.UI.Color.White);
    self:SetFont(Turbine.UI.Lotro.Font.Verdana16);
    self.applyingRemoteChanges = false;
end

function TextShape:TextChanged()
    self:SetProperty("Text", self.baseClass.GetText(self));
end

function TextShape:AutoSize()
    local temp = Turbine.UI.Label();
    temp:SetFont(self:GetFont());
    temp:SetMultiline(self.baseClass.IsMultiline(self));
    temp:SetText(self:GetText());
    temp:AutoSize();
    self:SetSize(temp:GetSize());
end

-- Standard tracked properties
function TextShape:SetFont(font)
    self.baseClass.SetFont(self, font);
    self:SetProperty("Font", font);
end

function TextShape:GetFont()
    return self.baseClass.GetFont(self);
end

function TextShape:SetText(text)
    self.baseClass.SetText(self, text);
    self:SetProperty("Text", text);
end

function TextShape:GetText()
    return self.baseClass.GetText(self);
end

function TextShape:SetForeColor(color)
    self.baseClass.SetForeColor(self, color);
    self:SetProperty("ForeColor", color);
end

function TextShape:GetForeColor()
    return self.properties.ForeColor;
end

function TextShape:SetColor(color)
    self:SetForeColor(color);
end

function TextShape:GetColor(color)
    return self:GetForeColor(color);
end
