-- Shorthand for languages
local en = Turbine.Language.English;
local fr = Turbine.Language.French;
local de = Turbine.Language.German;
local ru = Turbine.Language.Russian;

local text = {
    DefaultTitle = {
       [en] = "Select Colour";
       [de] = "Farbe wählen";
       [fr] = "Sélectionnez couleur";
       [ru] = "Выберите цвет";
    };
    Red = {
       [en] = "Red";
       [de] = "Rot";
       [fr] = "Rouge";
       [ru] = "Красный";
    };
    Green = {
       [en] = "Green";
       [de] = "Grün";
       [fr] = "Vert";
       [ru] = "Зеленый";
    };
    Blue = {
       [en] = "Blue";
       [de] = "Blau";
       [fr] = "Bleu";
       [ru] = "Синий";
    };
    Hue = {
       [en] = "Hue";
       [de] = "Farbton";
       [fr] = "Teinte";
       [ru] = "Оттенок";
    };
    Saturation = {
       [en] = "Saturation";
       [de] = "Sättigung";
       [fr] = "Saturation";
       [ru] = "Насыщен.";
    };
    Value = {
       [en] = "Value";
       [de] = "Wert";
       [fr] = "Valeur";
       [ru] = "Значение";
    };
    Ok = {
       [en] = "Ok";
       [de] = "Ok";
       [fr] = "Ok";
       [ru] = "Ok";
    };
    StandardColors = {
       [en] = "Turbine Colours";
       [de] = "Turbine Farben";
       [fr] = "Couleurs Turbine";
       [ru] = "Встроенные цвета";
    };
    RecentColors = {
       [en] = "Recent Colours";
       [de] = "Letzte Farben";
       [fr] = "Couleurs récents";
       [ru] = "Последние цвета";
    };

    Colors = {
        AliceBlue            = { [en] = "Alice Blue";             [de] = ""; [fr] = ""; [ru] = ""; };
        AntiqueWhite         = { [en] = "Antique White";          [de] = ""; [fr] = ""; [ru] = ""; };
        Aqua                 = { [en] = "Aqua";                   [de] = ""; [fr] = ""; [ru] = ""; };
        Aquamarine           = { [en] = "Aquamarine";             [de] = ""; [fr] = ""; [ru] = ""; };
        Azure                = { [en] = "Azure";                  [de] = ""; [fr] = ""; [ru] = ""; };
        Beige                = { [en] = "Beige";                  [de] = ""; [fr] = ""; [ru] = ""; };
        Bisque               = { [en] = "Bisque";                 [de] = ""; [fr] = ""; [ru] = ""; };
        Black                = { [en] = "Black";                  [de] = ""; [fr] = ""; [ru] = ""; };
        BlanchedAlmond       = { [en] = "Blanched Almond";        [de] = ""; [fr] = ""; [ru] = ""; };
        Blue                 = { [en] = "Blue";                   [de] = ""; [fr] = ""; [ru] = ""; };
        BlueViolet           = { [en] = "Blue Violet";            [de] = ""; [fr] = ""; [ru] = ""; };
        Brown                = { [en] = "Brown";                  [de] = ""; [fr] = ""; [ru] = ""; };
        BurlyWood            = { [en] = "Burly Wood";             [de] = ""; [fr] = ""; [ru] = ""; };
        CadetBlue            = { [en] = "Cadet Blue";             [de] = ""; [fr] = ""; [ru] = ""; };
        Chartreuse           = { [en] = "Chartreuse";             [de] = ""; [fr] = ""; [ru] = ""; };
        Chocolate            = { [en] = "Chocolate";              [de] = ""; [fr] = ""; [ru] = ""; };
        Coral                = { [en] = "Coral";                  [de] = ""; [fr] = ""; [ru] = ""; };
        CornflowerBlue       = { [en] = "Cornflower Blue";        [de] = ""; [fr] = ""; [ru] = ""; };
        Cornsilk             = { [en] = "Cornsilk";               [de] = ""; [fr] = ""; [ru] = ""; };
        Crimson              = { [en] = "Crimson";                [de] = ""; [fr] = ""; [ru] = ""; };
        Cyan                 = { [en] = "Cyan";                   [de] = ""; [fr] = ""; [ru] = ""; };
        DarkBlue             = { [en] = "Dark Blue";              [de] = ""; [fr] = ""; [ru] = ""; };
        DarkCyan             = { [en] = "Dark Cyan";              [de] = ""; [fr] = ""; [ru] = ""; };
        DarkGoldenrod        = { [en] = "Dark Goldenrod";         [de] = ""; [fr] = ""; [ru] = ""; };
        DarkGray             = { [en] = "Dark Gray";              [de] = ""; [fr] = ""; [ru] = ""; };
        DarkGreen            = { [en] = "Dark Green";             [de] = ""; [fr] = ""; [ru] = ""; };
        DarkKhaki            = { [en] = "Dark Khaki";             [de] = ""; [fr] = ""; [ru] = ""; };
        DarkMagenta          = { [en] = "Dark Magenta";           [de] = ""; [fr] = ""; [ru] = ""; };
        DarkOliveGreen       = { [en] = "Dark Olive Green";       [de] = ""; [fr] = ""; [ru] = ""; };
        DarkOrange           = { [en] = "Dark Orange";            [de] = ""; [fr] = ""; [ru] = ""; };
        DarkOrchid           = { [en] = "Dark Orchid";            [de] = ""; [fr] = ""; [ru] = ""; };
        DarkRed              = { [en] = "Dark Red";               [de] = ""; [fr] = ""; [ru] = ""; };
        DarkSalmon           = { [en] = "Dark Salmon";            [de] = ""; [fr] = ""; [ru] = ""; };
        DarkSeaGreen         = { [en] = "Dark Sea Green";         [de] = ""; [fr] = ""; [ru] = ""; };
        DarkSlateBlue        = { [en] = "Dark Slate Blue";        [de] = ""; [fr] = ""; [ru] = ""; };
        DarkSlateGray        = { [en] = "Dark Slate Gray";        [de] = ""; [fr] = ""; [ru] = ""; };
        DarkTurquoise        = { [en] = "Dark Turquoise";         [de] = ""; [fr] = ""; [ru] = ""; };
        DarkViolet           = { [en] = "Dark Violet";            [de] = ""; [fr] = ""; [ru] = ""; };
        DeepPink             = { [en] = "Deep Pink";              [de] = ""; [fr] = ""; [ru] = ""; };
        DeepSkyBlue          = { [en] = "Deep Sky Blue";          [de] = ""; [fr] = ""; [ru] = ""; };
        DimGray              = { [en] = "Dim Gray";               [de] = ""; [fr] = ""; [ru] = ""; };
        DodgerBlue           = { [en] = "Dodger Blue";            [de] = ""; [fr] = ""; [ru] = ""; };
        Firebrick            = { [en] = "Firebrick";              [de] = ""; [fr] = ""; [ru] = ""; };
        FloralWhite          = { [en] = "Floral White";           [de] = ""; [fr] = ""; [ru] = ""; };
        ForestGreen          = { [en] = "Forest Green";           [de] = ""; [fr] = ""; [ru] = ""; };
        Fuchsia              = { [en] = "Fuchsia";                [de] = ""; [fr] = ""; [ru] = ""; };
        Gainsboro            = { [en] = "Gainsboro";              [de] = ""; [fr] = ""; [ru] = ""; };
        GhostWhite           = { [en] = "Ghost White";            [de] = ""; [fr] = ""; [ru] = ""; };
        Gold                 = { [en] = "Gold";                   [de] = ""; [fr] = ""; [ru] = ""; };
        Goldenrod            = { [en] = "Goldenrod";              [de] = ""; [fr] = ""; [ru] = ""; };
        Gray                 = { [en] = "Gray";                   [de] = ""; [fr] = ""; [ru] = ""; };
        Green                = { [en] = "Green";                  [de] = ""; [fr] = ""; [ru] = ""; };
        GreenYellow          = { [en] = "Green Yellow";           [de] = ""; [fr] = ""; [ru] = ""; };
        Honeydew             = { [en] = "Honeydew";               [de] = ""; [fr] = ""; [ru] = ""; };
        HotPink              = { [en] = "Hot Pink";               [de] = ""; [fr] = ""; [ru] = ""; };
        IndianRed            = { [en] = "Indian Red";             [de] = ""; [fr] = ""; [ru] = ""; };
        Indigo               = { [en] = "Indigo";                 [de] = ""; [fr] = ""; [ru] = ""; };
        Ivory                = { [en] = "Ivory";                  [de] = ""; [fr] = ""; [ru] = ""; };
        Khaki                = { [en] = "Khaki";                  [de] = ""; [fr] = ""; [ru] = ""; };
        Lavender             = { [en] = "Lavender";               [de] = ""; [fr] = ""; [ru] = ""; };
        LavenderBlush        = { [en] = "Lavender Blush";         [de] = ""; [fr] = ""; [ru] = ""; };
        LawnGreen            = { [en] = "Lawn Green";             [de] = ""; [fr] = ""; [ru] = ""; };
        LemonChiffon         = { [en] = "Lemon Chiffon";          [de] = ""; [fr] = ""; [ru] = ""; };
        LightBlue            = { [en] = "Light Blue";             [de] = ""; [fr] = ""; [ru] = ""; };
        LightCoral           = { [en] = "Light Coral";            [de] = ""; [fr] = ""; [ru] = ""; };
        LightCyan            = { [en] = "Light Cyan";             [de] = ""; [fr] = ""; [ru] = ""; };
        LightGoldenrodYellow = { [en] = "Light Goldenrod Yellow"; [de] = ""; [fr] = ""; [ru] = ""; };
        LightGray            = { [en] = "Light Gray";             [de] = ""; [fr] = ""; [ru] = ""; };
        LightGreen           = { [en] = "Light Green";            [de] = ""; [fr] = ""; [ru] = ""; };
        LightPink            = { [en] = "Light Pink";             [de] = ""; [fr] = ""; [ru] = ""; };
        LightSalmon          = { [en] = "Light Salmon";           [de] = ""; [fr] = ""; [ru] = ""; };
        LightSeaGreen        = { [en] = "Light Sea Green";        [de] = ""; [fr] = ""; [ru] = ""; };
        LightSkyBlue         = { [en] = "Light Sky Blue";         [de] = ""; [fr] = ""; [ru] = ""; };
        LightSlateGray       = { [en] = "Light Slate Gray";       [de] = ""; [fr] = ""; [ru] = ""; };
        LightSteelBlue       = { [en] = "Light Steel Blue";       [de] = ""; [fr] = ""; [ru] = ""; };
        LightYellow          = { [en] = "Light Yellow";           [de] = ""; [fr] = ""; [ru] = ""; };
        Lime                 = { [en] = "Lime";                   [de] = ""; [fr] = ""; [ru] = ""; };
        LimeGreen            = { [en] = "Lime Green";             [de] = ""; [fr] = ""; [ru] = ""; };
        Linen                = { [en] = "Linen";                  [de] = ""; [fr] = ""; [ru] = ""; };
        Magenta              = { [en] = "Magenta";                [de] = ""; [fr] = ""; [ru] = ""; };
        Maroon               = { [en] = "Maroon";                 [de] = ""; [fr] = ""; [ru] = ""; };
        MediumAquamarine     = { [en] = "Medium Aquamarine";      [de] = ""; [fr] = ""; [ru] = ""; };
        MediumBlue           = { [en] = "Medium Blue";            [de] = ""; [fr] = ""; [ru] = ""; };
        MediumOrchid         = { [en] = "Medium Orchid";          [de] = ""; [fr] = ""; [ru] = ""; };
        MediumPurple         = { [en] = "Medium Purple";          [de] = ""; [fr] = ""; [ru] = ""; };
        MediumSeaGreen       = { [en] = "Medium Sea Green";       [de] = ""; [fr] = ""; [ru] = ""; };
        MediumSlateBlue      = { [en] = "Medium Slate Blue";      [de] = ""; [fr] = ""; [ru] = ""; };
        MediumSpringGreen    = { [en] = "Medium Spring Green";    [de] = ""; [fr] = ""; [ru] = ""; };
        MediumTurquoise      = { [en] = "Medium Turquoise";       [de] = ""; [fr] = ""; [ru] = ""; };
        MediumVioletRed      = { [en] = "Medium Violet Red";      [de] = ""; [fr] = ""; [ru] = ""; };
        MidnightBlue         = { [en] = "Midnight Blue";          [de] = ""; [fr] = ""; [ru] = ""; };
        MintCream            = { [en] = "Mint Cream";             [de] = ""; [fr] = ""; [ru] = ""; };
        MistyRose            = { [en] = "Misty Rose";             [de] = ""; [fr] = ""; [ru] = ""; };
        Moccasin             = { [en] = "Moccasin";               [de] = ""; [fr] = ""; [ru] = ""; };
        NavajoWhite          = { [en] = "Navajo White";           [de] = ""; [fr] = ""; [ru] = ""; };
        Navy                 = { [en] = "Navy";                   [de] = ""; [fr] = ""; [ru] = ""; };
        OldLace              = { [en] = "Old Lace";               [de] = ""; [fr] = ""; [ru] = ""; };
        Olive                = { [en] = "Olive";                  [de] = ""; [fr] = ""; [ru] = ""; };
        OliveDrab            = { [en] = "Olive Drab";             [de] = ""; [fr] = ""; [ru] = ""; };
        Orange               = { [en] = "Orange";                 [de] = ""; [fr] = ""; [ru] = ""; };
        OrangeRed            = { [en] = "Orange Red";             [de] = ""; [fr] = ""; [ru] = ""; };
        Orchid               = { [en] = "Orchid";                 [de] = ""; [fr] = ""; [ru] = ""; };
        PaleGoldenrod        = { [en] = "Pale Goldenrod";         [de] = ""; [fr] = ""; [ru] = ""; };
        PaleGreen            = { [en] = "Pale Green";             [de] = ""; [fr] = ""; [ru] = ""; };
        PaleTurquoise        = { [en] = "Pale Turquoise";         [de] = ""; [fr] = ""; [ru] = ""; };
        PaleVioletRed        = { [en] = "Pale VioletRed";         [de] = ""; [fr] = ""; [ru] = ""; };
        PapayaWhip           = { [en] = "Papaya Whip";            [de] = ""; [fr] = ""; [ru] = ""; };
        PeachPuff            = { [en] = "Peach Puff";             [de] = ""; [fr] = ""; [ru] = ""; };
        Peru                 = { [en] = "Peru";                   [de] = ""; [fr] = ""; [ru] = ""; };
        Pink                 = { [en] = "Pink";                   [de] = ""; [fr] = ""; [ru] = ""; };
        Plum                 = { [en] = "Plum";                   [de] = ""; [fr] = ""; [ru] = ""; };
        PowderBlue           = { [en] = "Powder Blue";            [de] = ""; [fr] = ""; [ru] = ""; };
        Purple               = { [en] = "Purple";                 [de] = ""; [fr] = ""; [ru] = ""; };
        Red                  = { [en] = "Red";                    [de] = ""; [fr] = ""; [ru] = ""; };
        RosyBrown            = { [en] = "Rosy Brown";             [de] = ""; [fr] = ""; [ru] = ""; };
        RoyalBlue            = { [en] = "Royal Blue";             [de] = ""; [fr] = ""; [ru] = ""; };
        SaddleBrown          = { [en] = "Saddle Brown";           [de] = ""; [fr] = ""; [ru] = ""; };
        Salmon               = { [en] = "Salmon";                 [de] = ""; [fr] = ""; [ru] = ""; };
        SandyBrown           = { [en] = "Sandy Brown";            [de] = ""; [fr] = ""; [ru] = ""; };
        SeaGreen             = { [en] = "Sea Green";              [de] = ""; [fr] = ""; [ru] = ""; };
        SeaShell             = { [en] = "Sea Shell";              [de] = ""; [fr] = ""; [ru] = ""; };
        Sienna               = { [en] = "Sienna";                 [de] = ""; [fr] = ""; [ru] = ""; };
        Silver               = { [en] = "Silver";                 [de] = ""; [fr] = ""; [ru] = ""; };
        SkyBlue              = { [en] = "Sky Blue";               [de] = ""; [fr] = ""; [ru] = ""; };
        SlateBlue            = { [en] = "Slate Blue";             [de] = ""; [fr] = ""; [ru] = ""; };
        SlateGray            = { [en] = "Slate Gray";             [de] = ""; [fr] = ""; [ru] = ""; };
        Snow                 = { [en] = "Snow";                   [de] = ""; [fr] = ""; [ru] = ""; };
        SpringGreen          = { [en] = "Spring Green";           [de] = ""; [fr] = ""; [ru] = ""; };
        SteelBlue            = { [en] = "Steel Blue";             [de] = ""; [fr] = ""; [ru] = ""; };
        Tan                  = { [en] = "Tan";                    [de] = ""; [fr] = ""; [ru] = ""; };
        Teal                 = { [en] = "Teal";                   [de] = ""; [fr] = ""; [ru] = ""; };
        Thistle              = { [en] = "Thistle";                [de] = ""; [fr] = ""; [ru] = ""; };
        Tomato               = { [en] = "Tomato";                 [de] = ""; [fr] = ""; [ru] = ""; };
        Turquoise            = { [en] = "Turquoise";              [de] = ""; [fr] = ""; [ru] = ""; };
        Violet               = { [en] = "Violet";                 [de] = ""; [fr] = ""; [ru] = ""; };
        Wheat                = { [en] = "Wheat";                  [de] = ""; [fr] = ""; [ru] = ""; };
        White                = { [en] = "White";                  [de] = ""; [fr] = ""; [ru] = ""; };
        WhiteSmoke           = { [en] = "White Smoke";            [de] = ""; [fr] = ""; [ru] = ""; };
        Yellow               = { [en] = "Yellow";                 [de] = ""; [fr] = ""; [ru] = ""; };
        YellowGreen          = { [en] = "Yellow Green";           [de] = ""; [fr] = ""; [ru] = ""; };
    };
};

-- Add translations to the global database (see Thurallor.Common.Utils.Locale.lua)
L:AddText({ColorPicker = text});
